]> ncurses.scripts.mit.edu Git - ncurses.git/blobdiff - configure
ncurses 5.8 - patch 20110319
[ncurses.git] / configure
index 708f69433c99f4f5b7082639e2d401221d47d104..d1ea9ebd12d9f834b1bc60dbf86eedc61e8823b6 100755 (executable)
--- a/configure
+++ b/configure
@@ -1,5 +1,5 @@
 #! /bin/sh
-# From configure.in Revision: 1.514 .
+# From configure.in Revision: 1.517 .
 # Guess values for system-dependent variables and create Makefiles.
 # Generated by Autoconf 2.52.20101002.
 #
@@ -18175,7 +18175,7 @@ fi
       echo "$as_me:18175: checking if GNAT works" >&5
 echo $ECHO_N "checking if GNAT works... $ECHO_C" >&6
 
-rm -rf conftest*
+rm -rf conftest* *~conftest*
 cat >>conftest.ads <<CF_EOF
 procedure conftest;
 CF_EOF
@@ -18198,7 +18198,7 @@ if ( $cf_ada_make $ADAFLAGS conftest 1>&5 2>&1 ) ; then
 else
    cf_cv_prog_gnat_correct=no
 fi
-rm -rf conftest*
+rm -rf conftest* *~conftest*
 
       echo "$as_me:18203: result: $cf_cv_prog_gnat_correct" >&5
 echo "${ECHO_T}$cf_cv_prog_gnat_correct" >&6
 
                if test "$cf_cv_prog_gnat_correct" = yes; then
 
-       ADAFLAGS="$ADAFLAGS -O3 -gnatpn"
+       ADAFLAGS="$ADAFLAGS -gnatpn"
+
+                       # make ADAFLAGS consistent with CFLAGS
+                       case "$CFLAGS" in
+                       *-g*)
+
+       ADAFLAGS="$ADAFLAGS -g"
+
+                               ;;
+                       esac
+                       case "$CFLAGS" in
+                       *-O*)
+
+       ADAFLAGS="$ADAFLAGS -O3"
+
+                               ;;
+                       esac
 
-echo "$as_me:18212: checking if GNAT pragma Unreferenced works" >&5
+echo "$as_me:18228: checking if GNAT pragma Unreferenced works" >&5
 echo $ECHO_N "checking if GNAT pragma Unreferenced works... $ECHO_C" >&6
 if test "${cf_cv_pragma_unreferenced+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
 else
 
-rm -rf conftest*
+rm -rf conftest* *~conftest*
 cat >>conftest.ads <<CF_EOF
 procedure conftest;
 CF_EOF
@@ -18237,10 +18253,10 @@ if ( $cf_ada_make $ADAFLAGS conftest 1>&5 2>&1 ) ; then
 else
    cf_cv_pragma_unreferenced=no
 fi
-rm -rf conftest*
+rm -rf conftest* *~conftest*
 
 fi
-echo "$as_me:18243: result: $cf_cv_pragma_unreferenced" >&5
+echo "$as_me:18259: result: $cf_cv_pragma_unreferenced" >&5
 echo "${ECHO_T}$cf_cv_pragma_unreferenced" >&6
 
 # if the pragma is supported, use it (needed in the Trace code).
@@ -18250,7 +18266,7 @@ else
        PRAGMA_UNREF=FALSE
 fi
 
-echo "$as_me:18253: checking for ada-compiler" >&5
+echo "$as_me:18269: checking for ada-compiler" >&5
 echo $ECHO_N "checking for ada-compiler... $ECHO_C" >&6
 
 # Check whether --with-ada-compiler or --without-ada-compiler was given.
@@ -18261,12 +18277,12 @@ else
   cf_ada_compiler=gnatmake
 fi;
 
-echo "$as_me:18264: result: $cf_ada_compiler" >&5
+echo "$as_me:18280: result: $cf_ada_compiler" >&5
 echo "${ECHO_T}$cf_ada_compiler" >&6
 
                        cf_ada_package=terminal_interface
 
-echo "$as_me:18269: checking for ada-include" >&5
+echo "$as_me:18285: checking for ada-include" >&5
 echo $ECHO_N "checking for ada-include... $ECHO_C" >&6
 
 # Check whether --with-ada-include or --without-ada-include was given.
@@ -18302,7 +18318,7 @@ case ".$withval" in #(vi
   withval=`echo $withval | sed -e s%NONE%$cf_path_syntax%`
   ;;
 *)
-  { { echo "$as_me:18305: error: expected a pathname, not \"$withval\"" >&5
+  { { echo "$as_me:18321: error: expected a pathname, not \"$withval\"" >&5
 echo "$as_me: error: expected a pathname, not \"$withval\"" >&2;}
    { (exit 1); exit 1; }; }
   ;;
@@ -18311,10 +18327,10 @@ esac
 fi
 ADA_INCLUDE="$withval"
 
-echo "$as_me:18314: result: $ADA_INCLUDE" >&5
+echo "$as_me:18330: result: $ADA_INCLUDE" >&5
 echo "${ECHO_T}$ADA_INCLUDE" >&6
 
-echo "$as_me:18317: checking for ada-objects" >&5
+echo "$as_me:18333: checking for ada-objects" >&5
 echo $ECHO_N "checking for ada-objects... $ECHO_C" >&6
 
 # Check whether --with-ada-objects or --without-ada-objects was given.
@@ -18350,7 +18366,7 @@ case ".$withval" in #(vi
   withval=`echo $withval | sed -e s%NONE%$cf_path_syntax%`
   ;;
 *)
-  { { echo "$as_me:18353: error: expected a pathname, not \"$withval\"" >&5
+  { { echo "$as_me:18369: error: expected a pathname, not \"$withval\"" >&5
 echo "$as_me: error: expected a pathname, not \"$withval\"" >&2;}
    { (exit 1); exit 1; }; }
   ;;
@@ -18359,10 +18375,10 @@ esac
 fi
 ADA_OBJECTS="$withval"
 
-echo "$as_me:18362: result: $ADA_OBJECTS" >&5
+echo "$as_me:18378: result: $ADA_OBJECTS" >&5
 echo "${ECHO_T}$ADA_OBJECTS" >&6
 
-echo "$as_me:18365: checking if an Ada95 shared-library should be built" >&5
+echo "$as_me:18381: checking if an Ada95 shared-library should be built" >&5
 echo $ECHO_N "checking if an Ada95 shared-library should be built... $ECHO_C" >&6
 
 # Check whether --with-ada-sharedlib or --without-ada-sharedlib was given.
@@ -18372,7 +18388,7 @@ if test "${with_ada_sharedlib+set}" = set; then
 else
   with_ada_sharedlib=no
 fi;
-echo "$as_me:18375: result: $with_ada_sharedlib" >&5
+echo "$as_me:18391: result: $with_ada_sharedlib" >&5
 echo "${ECHO_T}$with_ada_sharedlib" >&6
 
 ADA_SHAREDLIB='lib$(LIB_NAME).so.1'
@@ -18403,7 +18419,7 @@ fi
 ### chooses to split module lists into libraries.
 ###
 ### (see CF_LIB_RULES).
-echo "$as_me:18406: checking for library subsets" >&5
+echo "$as_me:18422: checking for library subsets" >&5
 echo $ECHO_N "checking for library subsets... $ECHO_C" >&6
 LIB_SUBSETS=
 
@@ -18444,7 +18460,7 @@ fi
 test "$with_widec"     = yes && LIB_SUBSETS="${LIB_SUBSETS}+widechar"
 test "$with_ext_funcs" = yes && LIB_SUBSETS="${LIB_SUBSETS}+ext_funcs"
 
-echo "$as_me:18447: result: $LIB_SUBSETS" >&5
+echo "$as_me:18463: result: $LIB_SUBSETS" >&5
 echo "${ECHO_T}$LIB_SUBSETS" >&6
 
 ### Construct the list of include-directories to be generated
@@ -18482,7 +18498,7 @@ elif test "$includedir" != "/usr/include"; then
 fi
 
 ### Build up pieces for makefile rules
-echo "$as_me:18485: checking default library suffix" >&5
+echo "$as_me:18501: checking default library suffix" >&5
 echo $ECHO_N "checking default library suffix... $ECHO_C" >&6
 
        case $DFT_LWR_MODEL in
@@ -18493,10 +18509,10 @@ echo $ECHO_N "checking default library suffix... $ECHO_C" >&6
        shared)  DFT_ARG_SUFFIX=''   ;;
        esac
        test -n "$LIB_SUFFIX" && DFT_ARG_SUFFIX="${LIB_SUFFIX}${DFT_ARG_SUFFIX}"
-echo "$as_me:18496: result: $DFT_ARG_SUFFIX" >&5
+echo "$as_me:18512: result: $DFT_ARG_SUFFIX" >&5
 echo "${ECHO_T}$DFT_ARG_SUFFIX" >&6
 
-echo "$as_me:18499: checking default library-dependency suffix" >&5
+echo "$as_me:18515: checking default library-dependency suffix" >&5
 echo $ECHO_N "checking default library-dependency suffix... $ECHO_C" >&6
 
        case $DFT_LWR_MODEL in #(vi
@@ -18549,10 +18565,10 @@ echo $ECHO_N "checking default library-dependency suffix... $ECHO_C" >&6
        esac
        test -n "$LIB_SUFFIX" && DFT_LIB_SUFFIX="${LIB_SUFFIX}${DFT_LIB_SUFFIX}"
        test -n "$LIB_SUFFIX" && DFT_DEP_SUFFIX="${LIB_SUFFIX}${DFT_DEP_SUFFIX}"
-echo "$as_me:18552: result: $DFT_DEP_SUFFIX" >&5
+echo "$as_me:18568: result: $DFT_DEP_SUFFIX" >&5
 echo "${ECHO_T}$DFT_DEP_SUFFIX" >&6
 
-echo "$as_me:18555: checking default object directory" >&5
+echo "$as_me:18571: checking default object directory" >&5
 echo $ECHO_N "checking default object directory... $ECHO_C" >&6
 
        case $DFT_LWR_MODEL in
@@ -18568,12 +18584,12 @@ echo $ECHO_N "checking default object directory... $ECHO_C" >&6
                        DFT_OBJ_SUBDIR='obj_s' ;;
                esac
        esac
-echo "$as_me:18571: result: $DFT_OBJ_SUBDIR" >&5
+echo "$as_me:18587: result: $DFT_OBJ_SUBDIR" >&5
 echo "${ECHO_T}$DFT_OBJ_SUBDIR" >&6
 
 # libtool thinks it can make c++ shared libraries (perhaps only g++)
 if test "$cf_with_cxx" = yes ; then
-echo "$as_me:18576: checking c++ library-dependency suffix" >&5
+echo "$as_me:18592: checking c++ library-dependency suffix" >&5
 echo $ECHO_N "checking c++ library-dependency suffix... $ECHO_C" >&6
 if test "$with_libtool" != "no"; then
        CXX_LIB_SUFFIX=$DFT_DEP_SUFFIX
@@ -18630,7 +18646,7 @@ else
        test -n "$LIB_SUFFIX" && CXX_LIB_SUFFIX="${LIB_SUFFIX}${CXX_LIB_SUFFIX}"
        test -n "$LIB_SUFFIX" && CXX_DEP_SUFFIX="${LIB_SUFFIX}${CXX_DEP_SUFFIX}"
 fi
-echo "$as_me:18633: result: $CXX_LIB_SUFFIX" >&5
+echo "$as_me:18649: result: $CXX_LIB_SUFFIX" >&5
 echo "${ECHO_T}$CXX_LIB_SUFFIX" >&6
 
 fi
 
 if test -n "$LDFLAGS_STATIC" && test -n "$LDFLAGS_SHARED"
 then
-       echo "$as_me:18787: checking if linker supports switching between static/dynamic" >&5
+       echo "$as_me:18803: checking if linker supports switching between static/dynamic" >&5
 echo $ECHO_N "checking if linker supports switching between static/dynamic... $ECHO_C" >&6
 
        rm -f libconftest.a
        cat >conftest.$ac_ext <<EOF
-#line 18792 "configure"
+#line 18808 "configure"
 #include <stdio.h>
 int cf_ldflags_static(FILE *fp) { return fflush(fp); }
 EOF
-       if { (eval echo "$as_me:18796: \"$ac_compile\"") >&5
+       if { (eval echo "$as_me:18812: \"$ac_compile\"") >&5
   (eval $ac_compile) 2>&5
   ac_status=$?
-  echo "$as_me:18799: \$? = $ac_status" >&5
+  echo "$as_me:18815: \$? = $ac_status" >&5
   (exit $ac_status); } ; then
                ( $AR $ARFLAGS libconftest.a conftest.o ) 2>&5 1>/dev/null
                ( eval $RANLIB libconftest.a ) 2>&5 >/dev/null
@@ -18807,10 +18823,10 @@ EOF
 
        LIBS="$LDFLAGS_STATIC -L`pwd` -lconftest $LDFLAGS_DYNAMIC $LIBS"
        cat >conftest.$ac_ext <<_ACEOF
-#line 18810 "configure"
+#line 18826 "configure"
 #include "confdefs.h"
 
-#line 18813 "configure"
+#line 18829 "configure"
 #include <stdio.h>
 int cf_ldflags_static(FILE *fp);
 
@@ -18825,16 +18841,16 @@ main ()
 }
 _ACEOF
 rm -f conftest.$ac_objext conftest$ac_exeext
-if { (eval echo "$as_me:18828: \"$ac_link\"") >&5
+if { (eval echo "$as_me:18844: \"$ac_link\"") >&5
   (eval $ac_link) 2>&5
   ac_status=$?
-  echo "$as_me:18831: \$? = $ac_status" >&5
+  echo "$as_me:18847: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest$ac_exeext'
-  { (eval echo "$as_me:18834: \"$ac_try\"") >&5
+  { (eval echo "$as_me:18850: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:18837: \$? = $ac_status" >&5
+  echo "$as_me:18853: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   cf_ldflags_static=yes
 else
@@ -18847,7 +18863,7 @@ rm -f conftest.$ac_objext conftest$ac_exeext conftest.$ac_ext
        rm -f libconftest.*
        LIBS="$cf_save_LIBS"
 
-       echo "$as_me:18850: result: $cf_ldflags_static" >&5
+       echo "$as_me:18866: result: $cf_ldflags_static" >&5
 echo "${ECHO_T}$cf_ldflags_static" >&6
 
        if test $cf_ldflags_static != yes
        ;;
 esac
 
-echo "$as_me:18866: checking where we will install curses.h" >&5
+echo "$as_me:18882: checking where we will install curses.h" >&5
 echo $ECHO_N "checking where we will install curses.h... $ECHO_C" >&6
 test "$with_overwrite" = no && \
 test "x$includedir" = 'x${prefix}/include' && \
        includedir='${prefix}/include/ncurses'${LIB_SUFFIX}
-echo "$as_me:18871: result: $includedir" >&5
+echo "$as_me:18887: result: $includedir" >&5
 echo "${ECHO_T}$includedir" >&6
 
 ### Resolve a conflict between normal and wide-curses by forcing applications
@@ -18876,7 +18892,7 @@ echo "${ECHO_T}$includedir" >&6
 if test "$with_overwrite" != no ; then
 if test "$NCURSES_LIBUTF8" = 1 ; then
        NCURSES_LIBUTF8='defined(HAVE_LIBUTF8_H)'
-       { echo "$as_me:18879: WARNING: Wide-character applications must define HAVE_LIBUTF8_H to include curses.h" >&5
+       { echo "$as_me:18895: WARNING: Wide-character applications must define HAVE_LIBUTF8_H to include curses.h" >&5
 echo "$as_me: WARNING: Wide-character applications must define HAVE_LIBUTF8_H to include curses.h" >&2;}
 fi
 fi
@@ -18893,7 +18909,7 @@ EOF
 ### Construct the list of subdirectories for which we'll customize makefiles
 ### with the appropriate compile-rules.
 
-echo "$as_me:18896: checking for src modules" >&5
+echo "$as_me:18912: checking for src modules" >&5
 echo $ECHO_N "checking for src modules... $ECHO_C" >&6
 
 # dependencies and linker-arguments for test-programs
@@ -18956,7 +18972,7 @@ EOF
                fi
        fi
 done
-echo "$as_me:18959: result: $cf_cv_src_modules" >&5
+echo "$as_me:18975: result: $cf_cv_src_modules" >&5
 echo "${ECHO_T}$cf_cv_src_modules" >&6
 
 TEST_ARGS="-L${LIB_DIR} $TEST_ARGS"
@@ -19162,7 +19178,7 @@ fi
 
 # Extract the first word of "tic", so it can be a program name with args.
 set dummy tic; ac_word=$2
-echo "$as_me:19165: checking for $ac_word" >&5
+echo "$as_me:19181: checking for $ac_word" >&5
 echo $ECHO_N "checking for $ac_word... $ECHO_C" >&6
 if test "${ac_cv_path_TIC_PATH+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
@@ -19179,7 +19195,7 @@ for ac_dir in $ac_dummy; do
   test -z "$ac_dir" && ac_dir=.
   if $as_executable_p "$ac_dir/$ac_word"; then
    ac_cv_path_TIC_PATH="$ac_dir/$ac_word"
-   echo "$as_me:19182: found $ac_dir/$ac_word" >&5
+   echo "$as_me:19198: found $ac_dir/$ac_word" >&5
    break
 fi
 done
 TIC_PATH=$ac_cv_path_TIC_PATH
 
 if test -n "$TIC_PATH"; then
-  echo "$as_me:19194: result: $TIC_PATH" >&5
+  echo "$as_me:19210: result: $TIC_PATH" >&5
 echo "${ECHO_T}$TIC_PATH" >&6
 else
-  echo "$as_me:19197: result: no" >&5
+  echo "$as_me:19213: result: no" >&5
 echo "${ECHO_T}no" >&6
 fi
 
@@ -19202,7 +19218,7 @@ if test -n "$FALLBACK_LIST"
 then
        if test "$TIC_PATH" = unknown
        then
-               { echo "$as_me:19205: WARNING: no tic program found for fallbacks" >&5
+               { echo "$as_me:19221: WARNING: no tic program found for fallbacks" >&5
 echo "$as_me: WARNING: no tic program found for fallbacks" >&2;}
        fi
 fi
@@ -19213,6 +19229,8 @@ else
        MAKE_TESTS="#"
 fi
 
+ADAHTML_DIR=../../doc/html/ada
+
 SUB_SCRIPTS=
 case $cf_cv_system_name in #(vi
 *mingw32*) #(vi
@@ -19301,7 +19319,7 @@ DEFS=-DHAVE_CONFIG_H
 : ${CONFIG_STATUS=./config.status}
 ac_clean_files_save=$ac_clean_files
 ac_clean_files="$ac_clean_files $CONFIG_STATUS"
-{ echo "$as_me:19304: creating $CONFIG_STATUS" >&5
+{ echo "$as_me:19322: creating $CONFIG_STATUS" >&5
 echo "$as_me: creating $CONFIG_STATUS" >&6;}
 cat >$CONFIG_STATUS <<_ACEOF
 #! $SHELL
@@ -19477,7 +19495,7 @@ cat >>$CONFIG_STATUS <<\EOF
     echo "$ac_cs_version"; exit 0 ;;
   --he | --h)
     # Conflict between --help and --header
-    { { echo "$as_me:19480: error: ambiguous option: $1
+    { { echo "$as_me:19498: error: ambiguous option: $1
 Try \`$0 --help' for more information." >&5
 echo "$as_me: error: ambiguous option: $1
 Try \`$0 --help' for more information." >&2;}
@@ -19496,7 +19514,7 @@ Try \`$0 --help' for more information." >&2;}
     ac_need_defaults=false;;
 
   # This is an error.
-  -*) { { echo "$as_me:19499: error: unrecognized option: $1
+  -*) { { echo "$as_me:19517: error: unrecognized option: $1
 Try \`$0 --help' for more information." >&5
 echo "$as_me: error: unrecognized option: $1
 Try \`$0 --help' for more information." >&2;}
@@ -19602,7 +19620,7 @@ do
   "Makefile" ) CONFIG_FILES="$CONFIG_FILES Makefile" ;;
   "default" ) CONFIG_COMMANDS="$CONFIG_COMMANDS default" ;;
   "include/ncurses_cfg.h" ) CONFIG_HEADERS="$CONFIG_HEADERS include/ncurses_cfg.h:include/ncurses_cfg.hin" ;;
-  *) { { echo "$as_me:19605: error: invalid argument: $ac_config_target" >&5
+  *) { { echo "$as_me:19623: error: invalid argument: $ac_config_target" >&5
 echo "$as_me: error: invalid argument: $ac_config_target" >&2;}
    { (exit 1); exit 1; }; };;
   esac
@@ -19895,6 +19913,7 @@ s,@MAKE_PC_FILES@,$MAKE_PC_FILES,;t t
 s,@cross_compiling@,$cross_compiling,;t t
 s,@TIC_PATH@,$TIC_PATH,;t t
 s,@MAKE_TESTS@,$MAKE_TESTS,;t t
+s,@ADAHTML_DIR@,$ADAHTML_DIR,;t t
 CEOF
 
 EOF
@@ -20009,7 +20028,7 @@ done; }
   esac
 
   if test x"$ac_file" != x-; then
-    { echo "$as_me:20012: creating $ac_file" >&5
+    { echo "$as_me:20031: creating $ac_file" >&5
 echo "$as_me: creating $ac_file" >&6;}
     rm -f "$ac_file"
   fi
@@ -20027,7 +20046,7 @@ echo "$as_me: creating $ac_file" >&6;}
       -) echo $tmp/stdin ;;
       [\\/$]*)
          # Absolute (can't be DOS-style, as IFS=:)
-         test -f "$f" || { { echo "$as_me:20030: error: cannot find input file: $f" >&5
+         test -f "$f" || { { echo "$as_me:20049: error: cannot find input file: $f" >&5
 echo "$as_me: error: cannot find input file: $f" >&2;}
    { (exit 1); exit 1; }; }
          echo $f;;
@@ -20040,7 +20059,7 @@ echo "$as_me: error: cannot find input file: $f" >&2;}
            echo $srcdir/$f
          else
            # /dev/null tree
-           { { echo "$as_me:20043: error: cannot find input file: $f" >&5
+           { { echo "$as_me:20062: error: cannot find input file: $f" >&5
 echo "$as_me: error: cannot find input file: $f" >&2;}
    { (exit 1); exit 1; }; }
          fi;;
@@ -20106,7 +20125,7 @@ for ac_file in : $CONFIG_HEADERS; do test "x$ac_file" = x: && continue
   * )   ac_file_in=$ac_file.in ;;
   esac
 
-  test x"$ac_file" != x- && { echo "$as_me:20109: creating $ac_file" >&5
+  test x"$ac_file" != x- && { echo "$as_me:20128: creating $ac_file" >&5
 echo "$as_me: creating $ac_file" >&6;}
 
   # First look for the input files in the build tree, otherwise in the
@@ -20117,7 +20136,7 @@ echo "$as_me: creating $ac_file" >&6;}
       -) echo $tmp/stdin ;;
       [\\/$]*)
          # Absolute (can't be DOS-style, as IFS=:)
-         test -f "$f" || { { echo "$as_me:20120: error: cannot find input file: $f" >&5
+         test -f "$f" || { { echo "$as_me:20139: error: cannot find input file: $f" >&5
 echo "$as_me: error: cannot find input file: $f" >&2;}
    { (exit 1); exit 1; }; }
          echo $f;;
@@ -20130,7 +20149,7 @@ echo "$as_me: error: cannot find input file: $f" >&2;}
            echo $srcdir/$f
          else
            # /dev/null tree
-           { { echo "$as_me:20133: error: cannot find input file: $f" >&5
+           { { echo "$as_me:20152: error: cannot find input file: $f" >&5
 echo "$as_me: error: cannot find input file: $f" >&2;}
    { (exit 1); exit 1; }; }
          fi;;
@@ -20188,7 +20207,7 @@ cat >>$CONFIG_STATUS <<\EOF
   rm -f $tmp/in
   if test x"$ac_file" != x-; then
     if cmp -s $ac_file $tmp/config.h 2>/dev/null; then
-      { echo "$as_me:20191: $ac_file is unchanged" >&5
+      { echo "$as_me:20210: $ac_file is unchanged" >&5
 echo "$as_me: $ac_file is unchanged" >&6;}
     else
       ac_dir=`$as_expr X"$ac_file" : 'X\(.*[^/]\)//*[^/][^/]*/*$' \| \